import { SegmentedControl, SegmentedControlProps } from "@mantine/core";
import { FC } from "react";

export enum ModalTab {
    COMMON,
    DEPARTMENT_SECTIONS,
}

type Props = Omit<SegmentedControlProps, "data">;
const data = [
    {
        label: "Общее",
        value: ModalTab.COMMON.toString(),
    },
    {
        label: "Отделы",
        value: ModalTab.DEPARTMENT_SECTIONS.toString(),
    },
];

export const UsersModalTabSegmentedControl: FC<Props> = props => {
    return (
        <SegmentedControl
            data={data}
            {...props}
        />
    );
};